package role_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/role_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route delete /api/admin/role role_admin DeleteRoleAdmin
//
// Delete role information | 删除角色信息
//
// Delete role information | 删除角色信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BaseIDs
//

func DeleteRoleAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.BaseIDs
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := role_admin.NewDeleteRoleAdminLogic(r, r.Context(), svcCtx)
		err := l.DeleteRoleAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
